#! /usr/bin/perl
# open file
open(FILE, "sitelist.txt") or die("Unable to open file");
 
# read file into an array
@sitelist = <FILE>;
 
# close file 
close(FILE);

my $templateTest = <<'END';
	<dict>
		<key>AppVersion</key>
		<string>2.5.7</string>
		<key>AutoPauseSettings</key>
		<array>
			<dict>
				<key>DayFromDate</key>
				<date>2012-10-16T20:53:00Z</date>
				<key>DayToDate</key>
				<date>2012-10-16T20:53:00Z</date>
				<key>Mode</key>
				<integer>0</integer>
			</dict>
		</array>
		<key>CanCheckWhenOffline</key>
		<false/>
		<key>ChangeCount</key>
		<integer>0</integer>
		<key>ChangeDetection</key>
		<integer>0</integer>
		<key>ChangeEndText</key>
		<string></string>
		<key>ChangePart</key>
		<integer>1</integer>
		<key>ChangeStartText</key>
		<string></string>
		<key>Changes</key>
		<array/>
		<key>Checks</key>
		<array/>
		<key>ErrorCount</key>
		<integer>0</integer>
		<key>ExcludeFromCheckAll</key>
		<false/>
		<key>FailureNotificationKinds</key>
		<array/>
		<key>Failures</key>
		<array/>
		<key>Flag</key>
		<integer>0</integer>
		<key>FreqFailureAmount</key>
		<integer>5</integer>
		<key>FreqFailureInterval</key>
		<dict>
			<key>Amount</key>
			<integer>5</integer>
			<key>Mode</key>
			<integer>0</integer>
			<key>Units</key>
			<integer>1</integer>
		</dict>
		<key>FreqFailureUnits</key>
		<integer>0</integer>
		<key>FreqSuccessAmount</key>
		<integer>15</integer>
		<key>FreqSuccessInterval</key>
		<dict>
			<key>Amount</key>
			<integer>15</integer>
			<key>Mode</key>
			<integer>0</integer>
			<key>Units</key>
			<integer>1</integer>
		</dict>
		<key>FreqSuccessUnits</key>
		<integer>0</integer>
		<key>FreqTimeoutInterval</key>
		<dict>
			<key>Amount</key>
			<integer>3</integer>
			<key>Mode</key>
			<integer>0</integer>
			<key>Units</key>
			<integer>1</integer>
		</dict>
		<key>Identifier</key>
		<string>IDENTIFIER_1</string>
		<key>Kind</key>
		<integer>0</integer>
		<key>LastChangeDifference</key>
		<string></string>
		<key>LastChangeText</key>
		<string></string>
		<key>LastChangedDate</key>
		<date>0000-12-30T00:00:00Z</date>
		<key>LastCheckDate</key>
		<date>2012-10-16T20:54:07Z</date>
		<key>LastCheckDuration</key>
		<real>0.0</real>
		<key>LastError</key>
		<string>None</string>
		<key>LastEventDate</key>
		<date>0000-12-30T00:00:00Z</date>
		<key>LastFailure</key>
		<dict>
			<key>Identifier</key>
			<string>IDENTIFIER_2</string>
			<key>LogDate</key>
			<date>2012-10-16T20:53:06Z</date>
			<key>LogString</key>
			<string></string>
			<key>RecoverDate</key>
			<date>2012-10-16T20:53:06Z</date>
			<key>SiteName</key>
			<string></string>
			<key>StillDown</key>
			<integer>0</integer>
		</dict>
		<key>LastFailureDate</key>
		<date>0000-12-30T00:00:00Z</date>
		<key>LastRecoveryDate</key>
		<date>0000-12-30T00:00:00Z</date>
		<key>LastResult</key>
		<string>None</string>
		<key>LastSaveDate</key>
		<date>2012-10-16T20:54:10Z</date>
		<key>LastStatus</key>
		<string>StatusUnknown</string>
		<key>MajorVersion</key>
		<integer>1</integer>
		<key>MinorVersion</key>
		<integer>4</integer>
		<key>Mode</key>
		<integer>1</integer>
		<key>Name</key>
		<string>Monitor TEST_URL</string>
		<key>NextAutoPauseDate</key>
		<date>4001-01-01T00:00:00Z</date>
		<key>NextAutoResumeDate</key>
		<date>4001-01-01T00:00:00Z</date>
		<key>NextCheckDate</key>
		<date>2012-10-16T21:09:07Z</date>
		<key>Notifications</key>
		<array/>
		<key>Notifiers2.0</key>
		<array>
			<string>4748D02D-42F4-47E4-B7E2-1549147BCD71:for:StatusBadNow</string>
			<string>4748D02D-42F4-47E4-B7E2-1549147BCD71:for:StatusBadHour</string>
		</array>
		<key>Password</key>
		<string></string>
		<key>PauseUntilDate</key>
		<date>0000-12-30T00:00:00Z</date>
		<key>PluginIdentifier</key>
		<string>Basic</string>
		<key>PluginKind</key>
		<string>Web (HTTP)</string>
		<key>PluginSettings</key>
		<dict>
			<key>URL</key>
			<string>http://TEST_URL</string>
		</dict>
		<key>ProxyPort</key>
		<integer>0</integer>
		<key>ProxyURL</key>
		<string></string>
		<key>RecoveryCount</key>
		<integer>0</integer>
		<key>ReportMode</key>
		<integer>0</integer>
		<key>Reports</key>
		<array/>
		<key>ResetDate</key>
		<date>0000-12-30T00:00:00Z</date>
		<key>ServiceIdentifier</key>
		<string>Web (HTTP)</string>
		<key>Statistics</key>
		<dict>
			<key>AverageCheckDuration</key>
			<integer>0</integer>
			<key>AverageFailInterval</key>
			<integer>0</integer>
			<key>CheckCount</key>
			<integer>0</integer>
			<key>FailureCount</key>
			<integer>0</integer>
			<key>LastCheckDuration</key>
			<real>0.0</real>
			<key>LastTestWasSuccess</key>
			<integer>1</integer>
			<key>MaximumCheckDuration</key>
			<integer>0</integer>
			<key>MaximumFailInterval</key>
			<integer>0</integer>
			<key>MinimumCheckDuration</key>
			<integer>9999</integer>
			<key>MinimumFailInterval</key>
			<integer>9999</integer>
			<key>PreviousRecoveryDate</key>
			<date>2012-10-16T20:53:06Z</date>
			<key>RecoveryCount</key>
			<integer>0</integer>
			<key>SuccessCount</key>
			<integer>0</integer>
			<key>SuccessFailureRatio</key>
			<string></string>
			<key>TotalCheckDuration</key>
			<integer>0</integer>
			<key>TotalFailInterval</key>
			<integer>0</integer>
			<key>UpTimePercentage</key>
			<real>0.0</real>
		</dict>
		<key>Status</key>
		<string>StatusTestingNow</string>
		<key>URL</key>
		<string>http://TEST_URL</string>
		<key>UpTime</key>
		<real>0.0</real>
		<key>Username</key>
		<string></string>
	</dict>
END


foreach (@sitelist) {
	chomp ($_);

	my $test_url=$_;
	
	my $id1 = generate_ID();
	my $id2 = generate_ID();
	
	#print "$identifier\n";
	
	my $template=$templateTest;
	
	$template =~ s/TEST_URL/$test_url/g;
	$template =~ s/IDENTIFIER_1/$id1/g;
	$template =~ s/IDENTIFIER_2/$id2/g;
	
	print "$template";
}



sub generate_ID () {
	my $rand_hex = join "", map { unpack "H*", chr(rand(256)) } 1..16;
	
	$rand_hex =~ tr/a-z/A-Z/;
	
	my $id_1=substr $rand_hex, 0, 8;
	my $id_2=substr $rand_hex, 8, 4;
	my $id_3=substr $rand_hex, 12, 4;
	my $id_4=substr $rand_hex, 16, 4;
	my $id_5=substr $rand_hex, 20, 12;
	
	my $id = "$id_1-$id_2-$id_3-$id_4-$id_5";
	return $id;
	#print "$rand_hex; $id_1-$id_2-$id_3-$id_4-$id_5\n";
}


